Bulk update variant prices
Updates existing variant prices in bulk with partial data. Accepts up to 100 price items to update specific fields such as amount, sale price, reference price, status, and sale date ranges. Only provided fields will be updated.
PATCH
/api/v1/{team_slug}/{app_slug}/variants/prices/bulkAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonPrices data
pricesinternal_pkg_webserver_v1.BulkPatchPriceItem[]requiredmax items 50
Show propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkPatchPriceItemamount_cents_with_taxintegermin 0
idstringrequiredon_salebooleanreference_price_with_taxintegermin 0
sale_end_timestampstringsale_price_with_taxintegermin 0
sale_start_timestampstringstatusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatusAllowed:
activeinactivedraftResponses
200
Prices updated successfully
datainternal_pkg_webserver_v1.BulkPatchPricesResponserequiredShow propertiesHide properties
failedinternal_pkg_webserver_v1.BulkPatchFailedUpdate[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkPatchFailedUpdateidstringreasonstringsuccessfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroupamount_cents_with_taxintegercreated_atstringidstringmarketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.MarketShow propertiesHide properties
activebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nullon_salebooleanreference_price_with_taxinteger | nullsale_end_timestampstring | nullsale_price_with_taxinteger | nullsale_start_timestampstring | nullstatusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatusAllowed:
activeinactivedraftstore_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupShow propertiesHide properties
country_of_salestring | nullcreated_atstringdescriptionstringidstringnamestringslugstringstore_typestringupdated_atstring | nullupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired